#3207 closed defect (fixed)

Supported Architectures Page is out of date

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

https://devel.rtems.org/wiki/TBR/UserManual/SupportedCPUs is out of date. I have the information to update it if that's what we want to do.

I don't know the best way to provide this broad view from 4.6 up on what architectures are supported. The wiki seems OK.

Change History (6)

comment:1 Changed on Oct 25, 2017 at 10:23:34 PM by Chris Johns

Is this a duplicate of #3206?

The architecture and BSP is closely linked.

comment:2 Changed on Oct 25, 2017 at 10:26:58 PM by Joel Sherrill

They are related but I tend to think the architecture page is OK to do by hand and the BSP page needs something where you can look at a file per release.

Not 100% sure what the right answer is but the set of BSPs is more fluid than the set of architectures.

And the porting guide could include adding an entry and the release procedure could include adding a column.

comment:3 in reply to:  2 Changed on Oct 25, 2017 at 10:36:30 PM by Chris Johns

Replying to Joel Sherrill:

Not 100% sure what the right answer is but the set of BSPs is more fluid than the set of architectures.

Amar's database highlights a complexity hidden in just top level architectures, take ARM, we support a subset of the available variants and having this listed would be awesome.

And the porting guide could include adding an entry and the release procedure could include adding a column.

Column of?

comment:4 Changed on Oct 26, 2017 at 5:39:15 AM by Sebastian Huber

I would move this information to the RTEMS CPU Architecture Supplement and delete the wiki page. We can add a chapter with obsoleted architectures and just mention the version which removed them.

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:6 Changed on Dec 5, 2017 at 4:51:05 PM by Joel Sherrill

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.